(
	global avgColTool
	try (destroyDialog avgColTool) catch()
	
	fn getAverageColor txMap=
	(
		isLinear = false
		if txMap.color_space == 0 do isLinear=true
		if txMap.rgbColorSpace == 3 do isLinear=true
		theBmp = openBitMap txMap.HDRIMapName
		thePixels = #()
		if theBmp != undefined then
		(
			
			for y=0 to theBmp.height do
			(
				join thePixels (getPixels theBmp [0,y] theBmp.width linear:isLinear)
			)
			theSum = black 
			for p in thePixels do 
			(
				theSum+=p
			)
			theSum/=thePixels.count as float
			print theSum
			theSum
		)
		else
		(
			red
		)
	)
	
	
	rollout avgColTool "Average Color" width:232 height:40
	(
		colorPicker 'cp1' "Average Color:" pos:[8,8] width:144 height:24 color:Black fieldWidth:48 align:#left
		button 'btn1' "Calculate" pos:[160,8] width:64 height:24 align:#left
		
		on btn1 pressed do
		(
			if classof meditMaterials[activeMeditSlot] == vrayBitmap then
			(
				cp1.color = getAverageColor meditMaterials[activeMeditSlot]
			)
			else
			(
				cp1.color = red
			)
		)
	)
	
	createdialog AvgColTool
)