plugin textureMap averageColor 
name:"Average Color"
classID:#(0x488b52d5, 0x5186bced)
extends:vrayBitmap
replaceUI:false
(
	fn getAverageColor =
	(
		isLinear = false
		if delegate.color_space == 0 do isLinear=true
		if delegate.rgbColorSpace == 3 do isLinear=true
		theBmp = openBitMap delegate.HDRIMapName
		thePixels = #()
		if theBmp != undefined then
		(
			
			for y=0 to theBmp.height do
			(
				join thePixels (getPixels theBmp [0,y] theBmp.width linear:isLinear)
			)
			theSum = black 
			for p in thePixels do 
			(
				theSum+=p
			)
			theSum/=thePixels.count as float
			theSum
		)
		else
		(
			red
		)
	)
	
   parameters main rollout:params
   (
		AColor1 type:#color default:(color 0 0 0) ui:color1
   )
   rollout params "Average Bitmap Color" width:208 height:40
   (
		colorPicker 'color1' "Average Color" pos:[12,8] width:121 height:20 fieldWidth:48 align:#left
		button 'btn1' "calculate" pos:[144,8] width:58 height:21 align:#left
	   
	   on btn1 pressed do
	   (
		   color1.color = getAverageColor()
	   )
   )
)